Subject: [bug#41219] [PATCH 2/2] guix: Enforce package.json "files" directive.

From: Jelle Licht <[email-masked]>
Date: Sat, 24 Oct 2020 15:23:31 +0200

Hey Giacomo,

paul <[email-masked]> writes:

> Hi Jelle,
>
> I messed up again :( this new patch actually checks the right path for 
> the existence of the "main" file. I hope I didn't mess up anything else.

I've been working on an alternative implementation to achieve what this
patch is trying to do; See [1] for what I tried. Do you think that
addresses your use-case as well? If so, perhaps we can still have a look
at the glob code you contributed, as it seems useful outside of an npm
context. 

Thanks!
 - Jelle

[1]: https://lists.gnu.org/archive/html/guix-devel/2020-10/msg00403.html